Home  |  Message Board  |  Contact Us  |  About Us  |  Fan Pics  |  Fan Polls  |  RSS Feed  |  Top of Thread  |  Login  |  Register
Display By:
Home  |  Message Board  |  Top of Thread  |  Login  |  Register
Display By:

 

 

Previous Thread   |  Top Of Board  |  Start New Thread  |   Next Thread
clive_road_stamper Posted on 11/07/2019 10:59
Richard Branson self centred idiot
 
 
Another tirade from Branson on how Britain would disappear once Brexit happens.

Together with his hysterical rant on where the pound would be, Parity he says with the dollar. The classic prediction of of all those that have zero knowledge of currency prices.


And from then on its all about him and his Virgin companies and how much they would suffer. Well sod off Branson - oh my mistake you already did a while ago. We don;t need you.

IP: Logged
Small_town Posted on 11/07/2019 11:02

Richard Branson self centred idiot

 
Yes, I’m sure the highly successful businessman who has created a group of companies in a wide variety of fields, most operating internationally, has no knowledge of currency prices.
IP: Logged
jam69 Posted on 11/07/2019 11:06

Richard Branson self centred idiot

 
he said if theres no deal. hard brexiters will call him . nothing new
IP: Logged
clive_road_stamper Posted on 11/07/2019 11:07

Richard Branson self centred idiot

 
Au contraire - He does when it suits him.

We are talking about the bloke that was jailed for tax evasion. And chooses to interfere in British affairs but won't live here because he would have to pay tax. Yes that bloke
IP: Logged
go_nads Posted on 11/07/2019 11:08

Richard Branson self centred idiot

 
Absolute parasite.

He has a history of ensuring he makes money from the ordinary working people, his train franchises and health related companies have screwed over the country on countless occasions.

He looks after himself and no one else, so why should people now trust him to give a true reflection?
IP: Logged
clive_road_stamper Posted on 11/07/2019 11:13

Richard Branson self centred idiot

 
trains need to be back in public ownership One man and his tax avoiding comapanies should not be running a national asset. And shouldn't have been let anywhere near health care.

I mean they bang on about the USA getting involved in the NHS but let this convicted tax dodger play a role.
IP: Logged
Small_town Posted on 11/07/2019 11:14

Richard Branson self centred idiot

 
How, exactly have they screwed over the country?
IP: Logged
go_nads Posted on 11/07/2019 11:48

Richard Branson self centred idiot

 
Not providing value for money and profiting from the NHS - taking the NHS to court, avoiding taxes, handing back franchises at a loss to the pubic purse...
IP: Logged
Small_town Posted on 11/07/2019 11:51

Richard Branson self centred idiot

 
Train service in this country not providing VFM? Hardly makes them unique. It’s STILL cheaper to travel on their trains to the North west than it is to travel to the North East so I would say that’s providing a better service.
IP: Logged
Small_town Posted on 11/07/2019 11:52

Richard Branson self centred idiot

 
As for handing back franchises at a loss: You are aware that Virgin Trains East Coast was owned by Stagecoach and not Virgin Trains aren’t you?
IP: Logged
go_nads Posted on 11/07/2019 11:59

Richard Branson self centred idiot

 
The point I am making is that Richard looks after Richard, he could not give a XXXXXX about this country other than to make money from it.

I find it a bit hypocritical when a man who takes and takes then turns round and says what is best for the country. He has no right to tell people what is good for them going on his own conduct.

Link: www.theguardian.com/uk-news/2017/nov/29/ea
IP: Logged
clive_road_stamper Posted on 11/07/2019 12:16

Richard Branson self centred idiot

 
funny to see the hard line remainers on here getting behind Branson and championing what a great bloke he is.

Keep it coming lads. You'll be wanting him as next Labour leader next, but whatever suits the narrative eh ?
IP: Logged
Small_town Posted on 11/07/2019 12:21

Richard Branson self centred idiot

 
Always been an admirer of Brandon before Brexit. Not sure what it has to do with the labor party?
IP: Logged
clive_road_stamper Posted on 11/07/2019 12:23

Richard Branson self centred idiot

 
What a dilemma eh? The archetypal Capitalist that symbolises capitalism at its most extreme is a remainer. What shall we do ?

He's saying the things we want to hear but he is the devil personified. Just conjures up an image or remainers trapped in quicksand waving their hands in the air. "What shall we do ! What shall we do !"

Pay the subs to the labour party because they are in exactly the same quandry

IP: Logged
clive_road_stamper Posted on 11/07/2019 12:25

Richard Branson self centred idiot

 
"Not sure what it has to do with the labor party?"

Well they are committed remainers too aren't they ? Well at least this week. But hey its only Thursday
IP: Logged
Small_town Posted on 11/07/2019 12:25

Richard Branson self centred idiot

 
Funny. You're clearly not addressing me, yet I appear to be the only one standing up for him here. Have you got confused?
IP: Logged
Small_town Posted on 11/07/2019 12:26

Richard Branson self centred idiot

 
Funny. You're clearly not addressing me, yet I appear to be the only one standing up for him here. Have you got confused?
IP: Logged
clive_road_stamper Posted on 11/07/2019 12:30

Richard Branson self centred idiot

 
Yes credit it to you - only you and jam69. The rest are avoiding this thread like the plague.

"What shall we dooooo !"
IP: Logged
bear66 Posted on 11/07/2019 12:31

Richard Branson self centred idiot

 
What evidence do you have that he has zero knowledge of currency prices?
IP: Logged
CardiffDaffs Posted on 11/07/2019 12:32

Richard Branson self centred idiot

 
The £ has already plummeted - he’s losing millions as all his costs are in dollars. If you were in the same position you’d bleat too. I’ve little time for him but in this instance he is speaking from personal experience.

Clive. We get you’re not a fan of his stance on Brexit. When you run a multinational business affected by international exchange rates feel free to give us your considered economic insight rather than the usual tiresome gloating.
IP: Logged
hewielewie Posted on 11/07/2019 12:32

Richard Branson self centred idiot

 
2 for him and 2 against. Looks like both sides are avoiding this thread too.
IP: Logged
Small_town Posted on 11/07/2019 12:34

Richard Branson self centred idiot

 
What "sides" though is my point? I'm just defending Brandon because I admire him. I'm not sure why everything had to be a "side" now? I don't know why we feel the need to divide the country?

I was just concerned because clive road seemed to be implying I was a labour supporter and or socialist.
IP: Logged
clive_road_stamper Posted on 11/07/2019 12:36

Richard Branson self centred idiot

 
"What evidence do you have that he has zero knowledge of currency prices?"

Well if he is right. He could make a vast fortune on the currency exchanges. Maybe that is his intention. That vast fortune would far outweigh the profits from his companies.

So I will take that back. He clearly knows a lot. This parity claim is clearly just a wind up and part of project fear.
IP: Logged
Sortie Posted on 11/07/2019 12:37

Richard Branson self centred idiot

 
How many "Virgin" brands are actually owned by him?

I think you'll find he gets a royalty for the use of the brand name.

I don't know why but I thought he was in favour of Brexit but is nor worried about the damage a "No deal" will do to the pound.
IP: Logged
clive_road_stamper Posted on 11/07/2019 12:38

Richard Branson self centred idiot

 
"The £ has already plummeted - he’s losing millions as all his costs are in dollars"

Well hes a currency expert. So he will have all those currency fluctuations fully hedged won't he.
IP: Logged
Bergeracois Posted on 11/07/2019 12:41

Richard Branson self centred idiot

 
"I find it a bit hypocritical when a man who takes and takes then turns round and says what is best for the country. He has no right to tell people what is good for them going on his own conduct"

Like Brexiteer James Dyson who has now just fcked off to Singapore then - both him and his company
IP: Logged
clive_road_stamper Posted on 11/07/2019 12:42

Richard Branson self centred idiot

 
"I don't know why but I thought he was in favour of Brexit "

I see you are very well informed - I will take more notice of your posts in future.

Hes a remainer because it suits him and his non tax paying tax-exile life. And for him thats all there is to it
IP: Logged
bear66 Posted on 11/07/2019 12:42

Richard Branson self centred idiot

 
"This parity claim is clearly just a wind up and part of project fear"

Carney has called it spot on from 2016. I think he said a further 5% when we actually leave with a deal. More recently there has been a stress test worst case of a further 25% with s no deal, but this wasn't a prediction but a figure used to test the resilience of the UK economy if it did.
IP: Logged
clive_road_stamper Posted on 11/07/2019 12:44

Richard Branson self centred idiot

 
Dyson the brexiteer has an even stranger view of the world. Singapore probably best place for him. Hope the aircon in his massive penthouse is up to the job
IP: Logged
clive_road_stamper Posted on 11/07/2019 12:47

Richard Branson self centred idiot

 
"Carney has called it spot on from 2016."

Im sure hes done very well out of it.
IP: Logged
Sortie Posted on 11/07/2019 12:47

Richard Branson self centred idiot

 
"The £ has already plummeted - he’s losing millions as all his costs are in dollars"

What costs does he have?
IP: Logged
bear66 Posted on 11/07/2019 12:49

Richard Branson self centred idiot

 
"Im sure hes done very well out of it."

How sure are you? And it what way are you sure?
IP: Logged
clive_road_stamper Posted on 11/07/2019 12:52

Richard Branson self centred idiot

 
You are exposing naiivity in life if you need an explanation. Go figure
IP: Logged
clive_road_stamper Posted on 11/07/2019 12:53

Richard Branson self centred idiot

 
Maybe you're not sure if Gary Monk and his agent made a few quid on transfer deals.
IP: Logged
Small_town Posted on 11/07/2019 12:57

Richard Branson self centred idiot

 
To be fair, if I was James Dyson I’d move to Singapore too. Love the place.
IP: Logged
bear66 Posted on 11/07/2019 12:59

Richard Branson self centred idiot

 
"You are exposing naiivity in life if you need an explanation. Go figure"

I'm just questioning someone who accuses Branson of not knowing anything about currencies then apparently Branson is an expert on currencies in the space of 2 hours.
IP: Logged
clive_road_stamper Posted on 11/07/2019 13:10

Richard Branson self centred idiot

 
I retracted that at 12:36. The original accusation was with reference to his claim it will at parity.

So to make predictions is stupid , but maybe he has an agenda.
IP: Logged
foomanboro Posted on 11/07/2019 13:28

Richard Branson self centred idiot

 
If Branson is an idiot what does that make you Clive?

Wind your neck in. He clearly knows more about the economy than you.
IP: Logged
marsked_magician Posted on 11/07/2019 13:48

Richard Branson self centred idiot

 
Multi-billionaire businessman Richard Branson hasn't got a clue what he's talking about when it comes to currency prices but Clive from the Boro message board could sit him down and talk him through it all.

Cracks me up this board [:D]
IP: Logged
clive_road_stamper Posted on 11/07/2019 15:11

Richard Branson self centred idiot

 
yup man of the people is our Richard. Thanks for putting me straight.
IP: Logged
clive_road_stamper Posted on 11/07/2019 15:18

Richard Branson self centred idiot

 
"He clearly knows more about the economy than you."

Maybe so - but the area he really excels is shafting the British public from his far away tax haven in the British Virgin Islands

If you're happy for a convicted and jailed tax fraudster to spout and influence UK politics then good for you. But I don't think his opinion on UK politics counts for anything.

IP: Logged
foomanboro Posted on 11/07/2019 15:20

Richard Branson self centred idiot

 
Yeah because Boris, Rees-Mogg and Farage are the epitome of selfless “men of the people” who give two-chits about you or ordinary brits. [:D]
IP: Logged
marsked_magician Posted on 11/07/2019 15:21

Richard Branson self centred idiot

 
"If you're happy for a convicted and jailed tax fraudster to spout and influence UK politics then good for you"

He's never been jailed but let's not let facts get in the way of your argument eh?
IP: Logged
clive_road_stamper Posted on 11/07/2019 15:26

Richard Branson self centred idiot

 
I think you will find that he has back in 1971
but don't let facts get in the way eh?
IP: Logged
foomanboro Posted on 11/07/2019 15:26
Edited On: 11/07/2019 15:28
Richard Branson self centred idiot

 
No he was never jailed.

Hard brexiters like OP lie easier than breathing
IP: Logged
clive_road_stamper Posted on 11/07/2019 15:28

Richard Branson self centred idiot

 
Great to see the lefty remainers defending their hero Richard Branson
IP: Logged
foomanboro Posted on 11/07/2019 15:30

Richard Branson self centred idiot

 
Great to see righty brexiteers propagating lies.

You really are a dishonest bunch.
IP: Logged
clive_road_stamper Posted on 11/07/2019 15:32
Edited On: 11/07/2019 15:33
Richard Branson self centred idiot

 
In his own words

Branson had named his company Virgin because he and the people who worked for him were “virgins at business.” They were also, evidently, virgins at crime.

Customs descended on the shops, and Branson was hauled into jail. “I had always thought that only criminals were arrested: it hadn’t occurred to me that I had become one,” he wrote. “It wasn’t some great game about my getting one up on the Customs and Excise office and getting off scot-free: I was guilty.” He spent the night in jail, before his mother showed up and posted a family home as bail. Branson’s headmaster at school had once predicted that the young man would either become a millionaire or go to prison. “By twenty-one, he had achieved the latter,” Bowers wrote, “albeit briefly.”
IP: Logged
foomanboro Posted on 11/07/2019 15:34

Richard Branson self centred idiot

 
Exactly he was arrested not jailed. He was never sentenced to a custodial sentence.
IP: Logged
clive_road_stamper Posted on 11/07/2019 15:35

Richard Branson self centred idiot

 
never said he was - but he was jailed
IP: Logged
NYboro Posted on 11/07/2019 15:37

Richard Branson self centred idiot

 
I would never dream of defending Branson, but I think he's right on one point. I'm also dreading the pound hitting parity with the dollar. The little bit of money I get in the UK is worth less and less every day.
IP: Logged
clive_road_stamper Posted on 11/07/2019 15:37

Richard Branson self centred idiot

 
In 1971, Branson was convicted and briefly jailed for tax evasion, having fraudulently obtained export documents for records to be sold on the domestic market in order to avoid paying Purchase Tax.[142][143] Customs officials caught onto the scheme and executed a sting operation, marking records bought for the international market with invisible ink and subsequently buying them on the domestic market. Branson was advised of the sting by an anonymous tip-off and attempted to dispose of the evidence, but this was unsuccessful.
IP: Logged
marsked_magician Posted on 11/07/2019 15:51
Edited On: 11/07/2019 15:59
Richard Branson self centred idiot

 
Held in custody and jailed are generally considered two very different things.

If you were held in custody on suspicion of a crime then released without charge, would you be happy to be labelled as someone who has "been jailed" decades later?
IP: Logged
Small_town Posted on 11/07/2019 15:56

Richard Branson self centred idiot

 
Clive, please can you remove the word “lefty” from remainers?

Speaking personally that’s an extremely incorrect view, you’re almost trying to create two divisions instead of the, already abhorrent, one.
IP: Logged
foomanboro Posted on 11/07/2019 17:04

Richard Branson self centred idiot

 
Could you please provide source Clive. That’s seems like a very emotive and biased version of events.

End of the day, he didn’t get a custodial sentence, so stop trying to twist it into something that as trivial as not paying a parking ticket into crime of the century. If what he did was that bad he would have served a custodial sentence. Stop Making exaggerated lies to cover your feeble argument.
IP: Logged
clive_road_stamper Posted on 11/07/2019 17:08
Edited On: 11/07/2019 17:10
Richard Branson self centred idiot

 
not my lies - all in the public domain

money talks
"
He had also managed to plunge himself even further into debt. Branson negotiated a settlement with the government, totaling 60,000 pounds, worth more than 700,000 pounds today. If he couldn’t pay, he would be re-arrested and put on trial."

IP: Logged
clive_road_stamper Posted on 11/07/2019 17:14

Richard Branson self centred idiot

 
And I wouldn't equate tax evasion , fraudulently obtainpmg export documents,attempting to dispose of the evidence, to a parking ticket



IP: Logged
keelo Posted on 11/07/2019 17:31

Richard Branson self centred idiot

 
funny to see the hard line remainers on here getting behind Branson and championing what a great bloke he is.

I'm a hard line remained. I think Brexit is madness but strangely at the same time I fkn hate Branson....strange or what?
IP: Logged
foomanboro Posted on 11/07/2019 17:32

Richard Branson self centred idiot

 
So not providing your source then. Can’t be reputable if you don’t want to share.

Anyway the man is a national treasure. End of.
IP: Logged
clive_road_stamper Posted on 11/07/2019 18:57
Edited On: 11/07/2019 19:02
Richard Branson self centred idiot

 
ever heard of google ?

but as you cant be ar$$ed hers one of many

Link: cheat
IP: Logged
Exiled_in_herford Posted on 11/07/2019 19:02

Richard Branson self centred idiot

 
Nah you're just a daft chunt keelo. A pathetic thick daft chunt at that.
IP: Logged
keelo Posted on 11/07/2019 19:36

Richard Branson self centred idiot

 
Exiled, the keyboard warrior....or piece of sh ite...your pathetic son
IP: Logged
Exiled_in_herford Posted on 11/07/2019 19:38

Richard Branson self centred idiot

 
'You're'[:D]
IP: Logged
B-MAN Posted on 11/07/2019 19:42

Richard Branson self centred idiot

 
Proves his point in just one word and an emoji
IP: Logged
big-eggo Posted on 11/07/2019 20:27

Richard Branson self centred idiot

 
in 5 years the shift has been $1.71 to $1.25. We are well on our way to parity.
2yrs should do it.

IP: Logged
Anton_Berg Posted on 11/07/2019 20:30

Richard Branson self centred idiot

 
Branson was operating his own version of a Customs Union.

From Wikipedia
"In 1971, Branson was convicted and briefly jailed for tax evasion, having fraudulently obtained export documents for records to be sold on the domestic market in order to avoid paying Purchase Tax.[142][143] Customs officials caught onto the scheme and executed a sting operation, marking records bought for the international market with invisible ink and subsequently buying them on the domestic market. Branson was advised of the sting by an anonymous tip-off and attempted to dispose of the evidence, but this was unsuccessful."

(Wikipedia again)
"His grandfather, the Right Honourable Sir George Arthur Harwin Branson, was a judge of the High Court of Justice and a Privy Councillor."
IP: Logged
clive_road_stamper Posted on 11/07/2019 20:36

Richard Branson self centred idiot

 
"We are well on our way to parity."

Does the world end then ? or do the markets cease to be because pounds are just the same as dollars so there's no point in exchange. Or do you conclude that pounds will be worthless in 30/40/50 years time.
IP: Logged
foomanboro Posted on 11/07/2019 21:13

Richard Branson self centred idiot

 
It wont be worthless but it will be worth less than the Euro, Dollar and every other major world currency.

If you can’t see how that will negatively impact the Britain as world economic power than nothing will. Like I said if you have no issue with the UK becoming an American colony or third world nation for your principle of having Brexit at any cost then fair enough.
IP: Logged
billyzin Posted on 11/07/2019 21:39

Richard Branson self centred idiot

 
So, to summarise.
If you support Brexit, you must be a fan of Branson?
IP: Logged
clive_road_stamper Posted on 11/07/2019 22:31

Richard Branson self centred idiot

 
fooman - take a cold shower - its hot
IP: Logged
clive_road_stamper Posted on 11/07/2019 22:33

Richard Branson self centred idiot

 
"It wont be worthless but it will be worth less than the Euro, Dollar and every other major world currency."

And it that comes true you would be a very rich man. If you only khew how to
IP: Logged
br14 Posted on 11/07/2019 23:16

Richard Branson self centred idiot

 
If the pound falls to dollar parity then the British economy will take off like a rocket. So the pound won't stay low for very long. Admittedly business that have direct costs in US dollars would suffer.

The major costs for an airline are fuel and labour. Labour costs won't change, and there's little doubt they'll be hedging fuel prices, so for a year or two the fuel costs shouldn't be an impact. And by then a booming British economy (because of the low pound) should mean the pound rises.

So while Branson may have a point, a pound that low would be great news for British business, especially tourism. Bad news for British overseas holidaymakers, or for US dollar based businesses.

And the other benefit should be increased tax revenues from companies forced to repatriate to the UK.
IP: Logged
foomanboro Posted on 11/07/2019 23:22

Richard Branson self centred idiot

 
Weak currency helps exports not imports. We import more than double what we import. So net we will be poorer.

Given we are a small island nation with minimal natural resources we will always have import more than export.

No about of jingoistic flag waving for a bygone era will change that.
IP: Logged
clive_road_stamper Posted on 11/07/2019 23:31

Richard Branson self centred idiot

 
Control of currency and interest rates is one of the corner stones of sovereignty of the nation State.
Why do you insist a weak pound is bad for the economy. So called weakness of the Chinese currency is what has driven them to be the
second biggest economy in the world over the last 20 years. Why do you think the USA continually bleat on at them for
manipulating exchange rates

Greece would love to devalue their currency. It would give a massive boost to their tourist oriented economy.
But the can't can they ? Firstly because its not their currency Because all monetary policy is dictated to them by a foreign power. The ECB. Controlled primarily by Germany and France.
Appointed people. Legarde who has enough skeletons to fill more than one cupboard. If she could find the space to get rid of all the ones left by her predecessors.

Weak currency = good. Even Harold Wilson could see that.
And even if Im wrong at least by being outside the Euro/ECB we can make our own decisions.
IP: Logged
foomanboro Posted on 11/07/2019 23:44

Richard Branson self centred idiot

 
Our economy is nowhere near the size, scale, variety of China or the US. Their GDPs dwarf ours. You are literally comparing peanuts to water melons.

Completely different market forces, socio-political systems and resources between these geographies. You clearly do not understand the complexities of differing factors that impact the global economy to think it is that simple.
IP: Logged
clive_road_stamper Posted on 11/07/2019 23:46

Richard Branson self centred idiot

 
"We import more than double what we import"

yes you are right mostly. Imports from Germany 70 billion and exports only 35 bn

Hmm what should we do about that ? Maybe after Oct 31 we could start on the road to turning that around.

Somehow dont think Germany will be slapping tariffs on UK goods - do you ?
IP: Logged
clive_road_stamper Posted on 11/07/2019 23:50

Richard Branson self centred idiot

 
I can remember when the Chinese economy was much smaller than the UK. Its not that long ago.
IP: Logged
foomanboro Posted on 11/07/2019 23:54

Richard Branson self centred idiot

 
Pray tell how could we possibly eventually export more than we import?

What industry could we dominate the global markets with that we could produce on a greater scale and better cost than any other nation on this planet given our size and lack of natural resources?
IP: Logged
clive_road_stamper Posted on 11/07/2019 23:56

Richard Branson self centred idiot

 
Hate to quote Boris but are you one of those with a defeatist attitude he bangs on about
IP: Logged
clive_road_stamper Posted on 11/07/2019 23:59

Richard Branson self centred idiot

 
Economies are not all about natural resources.
Look at Venezuela. More natural resources than almost every country in the world. Their economy is a basket case.

Service industry makes a big part of UK GDP. Something that has grown y/y for decades
IP: Logged
foomanboro Posted on 11/07/2019 23:59

Richard Branson self centred idiot

 
“I can remember when the Chinese economy was much smaller than the UK. Its not that long ago.”

That’s because it was a closed market. Globalisation has been transformative for their economy.

The UK is already a open global economy, so no change we could make would be that transformative as theirs has been.
IP: Logged
clive_road_stamper Posted on 12/07/2019 00:02

Richard Branson self centred idiot

 
Mature developed economies are about adding value not exporting things dug out of the ground. What natural resources do France and Germany have? Why has Germany become the strongest economy ? What natural resources do they have ?
IP: Logged
foomanboro Posted on 12/07/2019 00:04

Richard Branson self centred idiot

 
Again Venezuela has a completely different political factors that destroyed it.

You think closing our borders is going to help our service industry. Service industry is easy to copy so hardly a competitive advantage on a global market.

Do you want to become a nation of waiters? Is that the future of Britain.
IP: Logged
clive_road_stamper Posted on 12/07/2019 00:09

Richard Branson self centred idiot

 
you contradict your own arguments. Firstly you claim that all future economic growth is only achievable by huge natural resources then are in complete denial saying that Venezeulas failure is because of politics.

You have conveniently dodged the question on Germanys natural resources, which I can only presume is because they hardly have any.
IP: Logged
clive_road_stamper Posted on 12/07/2019 00:11

Richard Branson self centred idiot

 
Nobody wants closed borders. Closed borders and freedom of movement are not the same thing.
IP: Logged
foomanboro Posted on 12/07/2019 06:44
Edited On: 12/07/2019 06:51
Richard Branson self centred idiot

 
I made no connection between natural resources and politics, as stated before these are separate important factors that can impact a countries economic performance.

Again you are being too simplistic by assuming all countries conditions are comparable. Same with Germany, they are not because there are other variables and socio-economic-political-geographical factors and nuances at play to make dumbed down comparisons like this

Closed borders means both goods and movement of people. How do you expect to grow and leverage the UK’s service industry if you restrict freedom of movement? Service industry needs tourists to use those services in the first place. Secondly, most of our service industry is propped up other European citizens.

Literally not one of your arguments hold up,
IP: Logged
Previous Thread  |  Start New Thread  |  Top Of Board  |  Top Of Thread  |  Next Thread



Home  |Message Board  |  Top of Board  |  Login  |  Register


Copyright © 2008 to 2019 Fansonline.net Ltd

FansOnline.net Ltd
Unit 7
Brentnall Center
Gilkes Street
Middlesbrough
Cleveland
TS1 5AP
Fansonline Home | About Fansonline | Contact Fansonline | Advertise On Fansonline | Privacy Policy | TOS
10.0.166.213